Subject: Re: comments on draft-shiba-ccamp-gmpls-lambda-labels-00.txt

From: dimitri papadimitriou <[email-masked]>
Date: Thu, 27 Oct 2005 18:11:04 +0200

shiba

Shiba, Sidney wrote:

> Adrian, Dimitri,
> 
> Thanks for reviewing these I-D.
> 
> Wavelength continuity constraint does require the use of semanticful
> label whether it is spectral or index. 

=> see my reply to adrian on this specific point

> I agree with Dimitri that the 
> wavelength indexing requires document updating each time a new 
> spectrum is introduced.

=> indeed and in addition it requires updating the already signaled path

> The use of spectral label provides self maintainance, i.e., no need to
> update any document and the use of the nominal value provides a common 
> semantic ground.

=> what do you mean by self-maintenance - would you provide a bit more 
detail

=> now i have a more specific question before being light-up how do you 
know the frequency that you can support ? if these differ from the 
nominal values how are you going to deal with these discrepancies ? this 
said i am not necessarily sure that having to maintain the data plane 
specifics as part of the control plane is really helping operations (is 
this method not just duplicating complexity ?)

> I'm not sure if the draft needs to be updated before the face-to-face
> meeting or after all comments are collected. Please advise.

=> suggest to keep discussion on - document update can be performed at a 
later stage

> Thanks,
> 
> Sidney
> 
> 
>>-----Original Message-----
>>From: [email-masked] [mailto:[email-masked]]On
>>Behalf Of Adrian Farrel
>>Sent: Thursday, October 27, 2005 4:45 AM
>>To: [email-masked]; [email-masked];
>>[email-masked]
>>Subject: Re: comments on draft-shiba-ccamp-gmpls-lambda-labels-00.txt
>>
>>
>>Dimitri,
>>
>>Thanks for your work reviewing these recent I-Ds. It is 
>>really valuable
>>and I'd welcome other people doing similar reviews.
>>
>>
>>>there is a specific point to be clarified in this document:
>>>
>>>semanticless vs semanticful label (even here there is a distinction
>>>between spectral vs indexes i.e. using the wavelength index)
>>>
>>>domain-wide vs link local significant label
>>
>>Without being too picky, I think all labels are semanticful 
>>otherwise, we
>>would not know what resource they refered to.
>>
>>So the point reduces to whether the scope of the semantics 
>>are link-local
>>or wider.
>>
>>
>>>so, the comparison from this perspective with TDM labels is 
>>
>>difficult to
>>
>>>parse, the latter is semanticful but link local
>>>
>>>now, i don't specifically see what has changed the late 90's, early
>>>y2k's, to have a change in the wavelength label definition;
>>
>>This is the question I would like to get to the bottom of. In 
>>other words:
>>do we need this function?
>>
>>It seems to me that the question being asked is this:
>>
>>   If I want to compute a path that has some form of wavelength
>>   constraints, what information do I need access to?
>>
>>Another question might be:
>>
>>   If I want to signal a path with wavelength constraints what
>>   information do I need to include in the signaling message?
>>
>>
>>I'd suggest that when we started on GMPLS, we were enthusiastic about
>>transparent optical networks, but we were not properly 
>>focusing wavelength
>>constraints because lambda-switching PXCs didn't take off. 
>>Therefore we
>>didn't examine the requirements for wavelength constraints in 
>>routing and
>>signaling. The authors of this I-D are claiming new hardware 
>>requirements
>>for the same function.
>>
>>
>>>there are
>>>several solution possible
>>>
>>>- absolute values: the freq. of the wavelength: difficult to adopt
>>>because referenced values are nominal and knowing all interactions
>>>between wavelengths this knowledge is at the end of little practical
>>>usage; (introduces implicit ordering)
>>>
>>>- indexed values: the # of the wavelength: it does not provide for a
>>>future proof label space for inst. in case new frequencies 
>>
>>are inserted
>>
>>>in the grid (introduces explicit ordering)
>>>
>>>- diff. values e.g. freq spacing starting from a reference 
>>
>>value: pauses
>>
>>>the question of the reference value and does suffer from the former
>>>issue (introduces implicit ordering)
>>>
>>>- the solution available today - cumbersome in some control plane
>>>operations (e.g. label set translation) and not easy to 
>>
>>troubleshoot but
>>
>>>independent of any physical consideration (spectral), scale to any
>>>number of wavelength per fiber, does not introduce any ordering, the
>>>most flexible (since allowing each system to maintain its specific
>>>control operations) and the less constraining since maintaining the
>>>control plane operations independent of any data plane specifics
>>>
>>>
>>
>><http://www.ietf.org/internet-drafts/draft-shiba-ccamp-gmpls-l
> 
> ambda-labels
> -00.txt>
> 
> .
>

---

From: dimitri papadimitriou <[email-masked]>
Date: Thu, 27 Oct 2005 18:21:50 +0200

shiba,

see inline

Shiba, Sidney wrote:

> See inline
>>Behalf Of dimitri papadimitriou
>>Sent: Thursday, October 27, 2005 8:16 AM
>>To: Adrian Farrel
>>Cc: [email-masked]; [email-masked]
>>adrian - see in-line
>>Adrian Farrel wrote:
>>actually you have unstructured label space whose 
>>interpretation can only 
>>be done in the context of the link associated to this label 
>>exchange and 
>>if you have an additional level of indirection -> 
>>"semanticless" as the 
>>value in itself (with its associated link) does not tell you 
>>more about 
>>the resource to be used (its just equivalent to an index) you 
>>need for 
>>instance to perform initial LMP exchange to know the data 
>>plane resource 
>>correspondance
>>
>>but you have also structured label spaces like TDM whose 
>>interpretation 
>>can be done (together with the associated link) since they 
>>provide you 
>>with the exact timeslot position in the SONET/SDH 
>>multiplexing tree -> 
>>so the label value space carries a semantic
> 
> [Sidney] The use of spectral label allows to provide a consistent
> solution from network engineering tool to the circuit provisioning.
> No need to translate wavelength (engineering tool) to local id (ERO)
> and back to wavelength (NE).
> 
> Note that this is not the main reason for the spectral label but
> can be considered as extra that comes with this approach.

would be helphul to know the main reason then ?

>>hope this clarifies -
>>see above - the discussion is important, in TDM this has been done in 
>>order to avoid timeslot position/index exchange while the 
>>structure is 
>>perfectly know and invariant - hence, draw an analogy with 
>>LSC requires 
>>careful thought
>>
>>
>>>This is the question I would like to get to the bottom of. 
>>
>>In other words:
>>
>>you have at this level three type of constraints: spatial, 
>>spectral and link
>>
>>currently GMPLS for wavelegnth constraints works with source-driven 
>>spatial routing (constraint-based source-routing so implying both TE 
>>routing and signaling exchanges) and receiver-driven spectral routing 
>>(via the label set/acceptable label set mechanism so implying only 
>>signaling exchanges)
> 
> [Sidney]We may need to increase the scope of this draft and add wavelength 
> availability for allowing to shift from the spectral routing to spatial 
> routing for optical networks. This approach would take care of wavelength 
> blocking issue for non pre-engineered circuits.

well this is why i am asking the question, soon or later in order to 
benefit from these spectral labels you are going to come up with TE 
routing information exchange - before jumping there i would suggest that 
you take a look at the scaling properties of such approach

>>shouldn't you ask the question, what's not workable with the present 
>>solution we have at hand in RFC3473 ?
>>
>>
>>>I'd suggest that when we started on GMPLS, we were 
>>
>>enthusiastic about
>>
>>>didn't examine the requirements for wavelength constraints 
>>
>>in routing and
>>
>>>signaling. The authors of this I-D are claiming new 
>>
>>hardware requirements
>>
>>>for the same function.
>>
>>adrian, i am not sure to understand ... hence, i would like 
>>to know from 
>>authors how the following cornerstone problem has been solved
>>
>>1. either the network is pre-engineered and you don't need to 
>>take care 
>>about any spectral routing specifics for traffic engineering purposes
>>
> 
> [Sidney] In most of the cases, the network is pre-engineered using
> spectral data, which will require a mapping effort. Of course, this
> is feasable but we are proposing an approach that does not require
> mapping effort when possible.

would it be possible that you provide with a real estimate of the effort 
required for such mapping - i did it and it just requires to have a 
single/common profile per wavelength/color that you can use based on the 
received label value index (in the pre-engineered case there properties 
are known)

>>2. or the network is not pre-engineered and i would like to 
>>know if the 
>>specifics of analog transmission/switching have been 
>>addressed such as 
>>to be compatible with the constraint-based routing mechanisms 
>>used today 
>>while keeping a low blocking probability
> 
> [Sidney] As I said previously, we might need to increase the scope 
> of the draft to include wavelength availability information for the 
> routing in order to keep low the blocking probability.

yes but this is where all complexity lies, as you don't know about the 
routing/selection of the wavelenght you are creating a closed loop such 
that your network will convergence problems; the major issue with lambda 
switching is that locality principle is not preserved, setting up a path 
in a non pre-engineered network implies that a reservation on a link can 
have impact on other link along the path but even on links that are not 
followed by that -

---

From: dimitri papadimitriou <[email-masked]>
Date: Thu, 27 Oct 2005 19:02:54 +0200

shiba - see inline for some additional hints:

>>>The use of spectral label provides self maintainance, i.e., 
>>>no need to update any document and the use of the nominal value 
>>>provides a common semantic ground.
>>
>>=> what do you mean by self-maintenance - would you provide a 
>>bit more detail
> 
> [Sidney]What I've meant here was that it was not necessary to
> update any document when new wavelengths are inventoried. In the
> case of indexing approach, it would require the wavelength indexing
> document to be updated with implementation impacts.
> 
> In the case, the nominal value is used, there is no need for 
> documentation update.

ok - what you mean here is that you are going to make use of the already 
defined C-Type 2 - what about the specific encoding of the value space ?

>>=> now i have a more specific question before being light-up 
>>how do you know the frequency that you can support ? 
> 
> [Sidney] Some new technologies integrate optical switch and mux/demux
> capabilities, which allows the equipment to know the spectrum it supports.

indeed - but the question is what does happen if the "detected" values 
(during initialization) do not match the nominal values ? you don't 
initialize then ?

>>if these differ from the nominal values how are you going to deal with these 
>>discrepancies ?
> 
> [Sidney] These new technologies uses the nominal value as reference. We can say
> that a lightpath wavelength is identified by its nominal value. If the equipment
> is drifting from this nominal value, it is considered as a failure.

ok - but if the deviation is such you have overlap - how the control 
plane is going to be able to detect such failure ?

>>this said i am not necessarily sure that having to maintain the data plane 
>>specifics as part of the control plane is really helping 
>>operations (is this method not just duplicating complexity ?)
> 
> [Sidney] The wavelength is WDM specific as much as the SUKLM label encoding
> is for SONET. The wavelegth/frequency nominal value is used to identify the 
> facilities to cross-connect.

there is an equivalence but there is also a major difference, the 
structure is invariant independently of the state of the network, with 
spectral value space you may have labels that become unavailable due to 
non-local usage of wavelength in the network

hence, there is also no real coupling to the data plane more than 
knowing the type of interface and some generic capabilities

>>>I'm not sure if the draft needs to be updated before the 
>>>face-to-face meeting or after all comments are collected. Please advise.
>>
>>=> suggest to keep discussion on - document update can be 
>>performed at a later stage

thanks,
- dimitri.

>>>>Subject: Re: comments on 
>>draft-shiba-ccamp-gmpls-lambda-labels-00.txt
>>
>>>>
>>>>Dimitri,
>>>>
>>>>>between wavelengths this knowledge is at the end of little 
>>
>>practical
>>
>>>>>- indexed values: the # of the wavelength: it does not 
>>
>>provide for a
>>
>>>>>number of wavelength per fiber, does not introduce any 
>>
>>ordering, the
>>

---

From: dimitri papadimitriou <[email-masked]>
Date: Thu, 27 Oct 2005 19:39:31 +0200

shiba

Shiba, Sidney wrote:

[snip]

>>>>shouldn't you ask the question, what's not workable with 
>>>>the present solution we have at hand in RFC3473 ?
>>>>
>>>>>enthusiastic about transparent optical networks, but we were  
>>>>>not properly focusing wavelength constraints because lambda-
>>>>>switching PXCs didn't take off. 
>>>>>
>>>>>Therefore we didn't examine the requirements for wavelength 
>>>>>constraints in routing and signaling. The authors of this I-D 
>>>>>are claiming new hardware requirements for the same function.
>>>>
>>>>to know from authors how the following cornerstone problem has 
>>>>been solved
>>>>
>>>>take care about any spectral routing specifics for traffic 
>>>>engineering purposes
>>
>>would it be possible that you provide with a real estimate of 
>>the effort required for such mapping - i did it and it just 
>>requires to have a single/common profile per wavelength/color 
>>that you can use based on the received label value index (in 
>>the pre-engineered case there properties are known)
> 
> [Sidney] An equipment that integrates an optical switch and mux/demux
> can't use port mapping as the optical signal transmitted/received is 
> a waveband. As an analogy, the optical signal transmitted/received by
> a SONET equipment is OCn and it is mux/demux internally to individual
> STS-nC facilities.
> 
> For the case of these new technology, the wavelength/frequency (nominal)
> value is used to identify the facilities.

but then we are in agreement there is no added value in this specific 
case for having such LSC value space - is my deduction from your reply 
correct ?

>>>>know if the specifics of analog transmission/switching have been 
>>>>addressed such as to be compatible with the constraint-based routing 
>>>>mechanisms used today while keeping a low blocking probability
>>>
>>yes but this is where all complexity lies, as you don't know 
>>about the routing/selection of the wavelenght you are creating a 
>>closed loop such that your network will convergence problems; the 
>>major issue with lambda switching is that locality principle is not 
>>preserved, setting up a path in a non pre-engineered network implies 
>>that a reservation on a link can have impact on other link along the 
>>path but even on links that are not followed by that -
> 
> [Sidney] You touched a very important point. What I propose is to
> extend the scope of this discussion to include the wavelength availability
> as LSA routing information in order to allow path computation to take
> into account wavelength continuity constraint. For scalability the following
> structure could be used:

the issue here is the coupling between the spectral information to the 
TE routing advertisement, as the former does not respect any locality 
principle a given event may create instability in your TEDB (in fact it 
may never converge again)

the reason is that lighting up a certain path is not only disabling the 
lambda on the link where used but may also disable usage of certain 
frequencies on links that are not traversed by this LSC LSP; the latter 
can subsequently enable other wavelength(s) that were previously not 
possible ... hence, you can reach state where you would be oscillating 
when there is no appropriate pre-engineering of the network

>        0                   1                   2                   3
>        0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
>       +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>       |                       Start Frequency                         |
>       +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>       |       Frequency spacing               | Number of Frequencies |
>       +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>       |                     Frequency Availability Bitmap             |
>       +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>                                ...
>       +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>       |                     Frequency Availability Bitmap (cont)      |
>       +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> 
> 	- Start Frequency (32-bit) - this attribute indicates the first 
>         frequency identified by the least significant bit in the Frequency 
>         Availability bitmap field. IEEE Floating point value.
>       - Frequency Spacing (20-bit) - this attribute indicates the spacing 
>         (in MHz) between adjacent frequencies.
>       - Number of Frequencies (12-bit) - this attribute indicates the number 
>         of frequencies that is encoded in the Frequency Availability Bitmap 
>         field.
>       - Frequency Availability Bitmap (variable) - This variable length 
>         attribute is a bitmap structure where each bit indicates if a frequency 
>         is available or not. When set to 0, the frequency is available and when 
>         set to 1 it indicates that the frequency is already in use. The least 
>         significant bit (LSB) identifies the start frequency. The remaining bits 
>         indicate the subsequent frequencies in decrement of spacing. For example,
>         if bit0 = 195.70, bit1 = 195.60, bit2 = 195.50, and so on for a spacing 
>         of 100 GHz. Each 32-bit word can encode the availability of 32 wavelengths.
>         As an example, a 40 wavelength capable system, 2 x 32-bit data structure 
>         is necessary, where bit40 - bit63 are padding bits.

the issue is not (only) about the representation (note that there are 
representation that are more efficient (it terms of encoding) than 
others) the issue is about feasibility,

there is another specific issue about the amount of information that 
would need to be flooded but more importantly - the homogeneity - you 
seem to assume that spacing/and other properties are homogeneously 
distributed but this is not necessarily the case; hence how a given 
system would be able to process information of other systems for which 
it is not capable to process the specifics

---

From: "Drake, John E" <[email-masked]>
Date: Fri, 28 Oct 2005 15:33:26 -0700

Hi,

Below is the text of an e-mail is sent to the Ethernet/GMPLS mailing
list.

Upon reflection I am not sure using a real wavelength value makes much
sense.  Between a pair of adjacent nodes, there may be multiple pairs of
switch ports in the same TE link that support a given frequency.  If a
real wavelength value is used, how do the two nodes agree on which pair
of switch ports to use?

Furthermore, the amount of configuration is the same - you still need to
configure the wavelength of each switch port.

Thanks,

John
========================================================================
====
Adrian,

In the transparent photonic lambda switch case, the labels also have
only local significance.  When an LSP is established, the input ports,
as identified with local labels, are cross-connected to the output
ports, as identified with local labels.

There is just extra configuration to identify, using strictly local
identifiers, the wavelength associated with the all of the switch's
ports, and an additional CAC requirement that the wavelengths of the
input and output ports are the same.

Thanks,

John  

> From: dimitri papadimitriou [mailto:[email-masked]]
> Sent: Thursday, October 27, 2005 10:03 AM
> To: Shiba, Sidney
> Cc: [email-masked]; Adrian Farrel;
> [email-masked]; [email-masked]
> >>if these differ from the nominal values how are you going to deal
with
> these
> >>discrepancies ?
> >
> > [Sidney] These new technologies uses the nominal value as reference.
We
> can say
> > that a lightpath wavelength is identified by its nominal value. If
the
> equipment
> > is for SONET. The wavelegth/frequency nominal value is used to
identify
> the

---

From: "Shiba, Sidney" <[email-masked]>
Date: Mon, 31 Oct 2005 09:25:15 -0600

Hi John,

Optical switches based on Wavelength Selective Switch (WSS) technology
requires the wavelength information for switching. This technology is NOT 
wavelength agnostic.

               |                      |
               | wdm                  | wdm
               |2                     |2
           ---------              ---------
    wdm  1| optical |3   wdm    1| optical |3  wdm
  --------| switch  |------------| switch  |---------
          |  (WSS)  |            |  (WSS)  |
           ---------              ---------
               |4                     |4
               | wdm                  | wdm
               |                      | 

Note that the figure above shows an example of two optical switches interconnect
by a single WDM fiber. In this example, each optical switch can be connect to 4 
other optical switches. 

As you can see, the optical ports information do not provide enough information
for wavelength switching.

Hope that clarifies the application requirement.

Thanks,

Sidney

> From: Drake, John E [mailto:[email-masked]]
> Sent: Friday, October 28, 2005 5:33 PM
> To: [email-masked]; Shiba, Sidney
> Cc: Adrian Farrel; [email-masked]; [email-masked]
> Subject: RE: comments on draft-shiba-ccamp-gmpls-lambda-labels-00.txt
> 
> 
> Hi,
> 
> > defined C-Type 2 - what about the specific encoding of the 
> value space
> ?
> > 
> > >>this said i am not necessarily sure that having to 
> maintain the data
> > plane

---

From: "Drake, John E" <[email-masked]>
Date: Mon, 31 Oct 2005 07:50:51 -0800

Sidney,

There's another issue as well.  Having absolute end-end global
wavelengths is probably insufficient to ensure that an end-end LSP can
be established successfully, as having a common wavelength does not mean
that equipment from different vendors will interoperate correctly in the
data-plane.

Thanks,

John

> From: Drake, John E
> Sent: Monday, October 31, 2005 7:36 AM
> To: Shiba, Sidney; [email-masked]
> Sidney,
> But there's nothing in your picture that requires an absolute end-end
> global wavelength.  The existing GMPLS solution with relative
> wavelengths of local significance should work just fine.  As I said in
> my previous note, your method precludes combining two or more parallel
> WDM links into a single TE link.
> 
> Thanks,
> 
> John
> 
> > From: Shiba, Sidney [mailto:[email-masked]]
> > Sent: Monday, October 31, 2005 7:25 AM
> > To: Drake, John E; [email-masked]
> > Subject: RE: comments on
> > requires the wavelength information for switching. This technology
is
> NOT
> > by a single WDM fiber. In this example, each optical switch can be
> connect
> > to 4
> > other optical switches.
> >
> > > Subject: RE: comments on
> > > switch ports in the same TE link that support a given frequency.
If
> a
> > > > > capabilities, which allows the equipment to know the spectrum
it
> > > > supports.
> > > > > that a lightpath wavelength is identified by its nominal
value.
> If
> > > > > [Sidney] The wavelength is WDM specific as much as the SUKLM
> label
> > > > encoding
> > > > spectral value space you may have labels that become unavailable
> due
> > > to
> > > > >>>face-to-face meeting or after all comments are collected.
> Please
> > > > advise.
> > > > >>
> > > > >>>>>now, i don't specifically see what has changed the late
90's,
> > > early
In
> > > > >>>>didn't examine the requirements for wavelength constraints
in
> > > > >>>>>- absolute values: the freq. of the wavelength: difficult
to
> > > adopt
> > > > >>>>>the question of the reference value and does suffer from
the
> > > former
> > > > >>>>>independent of any physical consideration (spectral), scale
> to
> > > any
> > > > >>>>>control operations) and the less constraining since
> maintaining
> > > the

---

From: "Shiba, Sidney" <[email-masked]>
Date: Mon, 31 Oct 2005 10:00:16 -0600

John,

Most of vendor support a standardized wavelength grid
(e.g., ITU-T DWDM wavelength grid given in nominal value).

If a wavelength chosen for a lightpath setup is not available
in an optical switch, it rejects the operation for resource
not being available.

Regards,

Sidney

> Sent: Monday, October 31, 2005 9:51 AM
> To: Drake, John E; Shiba, Sidney; [email-masked]
> > > Note that the figure above shows an example of two 
> optical switches
> > > interconnect
> > > As you can see, the optical ports information do not 
> provide enough
> > > information
> > > > Upon reflection I am not sure using a real wavelength 
> value makes
> > much
> > > > > ok - what you mean here is that you are going to make 
> use of the
> > > > already

---

From: "Drake, John E" <[email-masked]>
Date: Mon, 31 Oct 2005 08:43:01 -0800

> Sent: Monday, October 31, 2005 7:56 AM
> Comments inline:
> > Sent: Monday, October 31, 2005 9:36 AM
> > wavelengths of local significance should work just fine.
> 
> [Sidney] Sorry for the missing info. The optical switch is an all
optical
> switch (i.e., no OEO is necessary). The wavelength continuity
constraint
> indicates which wavelength (nominal value) all the optical switches
> traversed by the lightpath needs to cross-connect.
[JD] 

I understand all that, but my comment still stands.

> 
> > As I said in my previous note, your method precludes combining two
or
> > more parallel WDM links into a single TE link.
> 
> [Sidney] Note the Label is complemented by the interface id of the
link.
> 
> I think this is the same approach used for parallel SONET OCn
datalinks
> where the label identifies a time-slot and interface id identifies the
> datalink chosen for the connection.
[JD] 

That's probably true, but wavelength LSPs don't have that restriction
under the current GMPLS procedures.

> > > requires the wavelength information for switching. This
> > technology is
> > NOT
> > > wavelength agnostic.
> > >
> > >                |                      |
> > >                | wdm                  | wdm
> > >                |2                     |2
> > >            ---------              ---------
> > > Note that the figure above shows an example of two optical
switches
> > > As you can see, the optical ports information do not provide
enough
> > > > Upon reflection I am not sure using a real wavelength value
makes
> > > > switch ports in the same TE link that support a given
> > frequency.  If
> > a
> > > > > ok - what you mean here is that you are going to make use of
the
> > > > > > capabilities, which allows the equipment to know the
> > spectrum it
> > > > > supports.
> > > > >
> > > > > > that a lightpath wavelength is identified by its
> > nominal value.
> > If
> > > > the
> > > > > equipment
> > > > > >>>>>now, i don't specifically see what has changed the
> > late 90's,
> > > > early
hardware
> > > > > >>>>>- absolute values: the freq. of the wavelength:
> > difficult to
> > > > adopt
> > > > > >>>>>the question of the reference value and does
> > suffer from the
> > > > former

---

From: "Shiba, Sidney" <[email-masked]>
Date: Mon, 31 Oct 2005 10:52:23 -0600

John,

Comments inline:

> Sent: Monday, October 31, 2005 10:43 AM

[Sidney] May be I'm missing something but for example, can you explain 
me how can we use Label Set with labels that only have local significance?

> under the current GMPLS procedures.

[Sidney] I understand that current wavelength LSPs don't have that restriction.
What the draft is proposing are procedures for optical switches using WSS 
technology.

> > > > > only local significance.  When an LSP is established, 
> the input
> > > ports,
> > > > > > >>=> what do you mean by self-maintenance - would 
> you provide
> a
> > > > > > >>bit more detail
> > > > > > >
> > > > > > > [Sidney] Some new technologies integrate optical 
> switch and
> > > > > mux/demux
> > > > > > (during initialization) do not match the nominal 
> values ? you
> > > don't
> > > > > > initialize then ?
> > > > > >
> > > > > > >>if these differ from the nominal values how are 
> you going to
> > > deal
> > > > > with
> > > > > > these
> > > > > > >>discrepancies ?
> > > > > > >
> > > > > > > is for SONET. The wavelegth/frequency nominal 
> value is used
> to
> > > > > identify
> > > > > > the
> > > > > > >>>>>so, the comparison from this perspective with 
> TDM labels
> is
> > > > > > >>>>
> > > > > > >>>>difficult to
> > > > > > >>>>
> > > > > > >>>>
> > > > > > >>>>>most flexible (since allowing each system to 
> maintain its
> > > > > specific

---

From: "Drake, John E" <[email-masked]>
Date: Mon, 31 Oct 2005 09:12:14 -0800

Sidney

'm not sure you are addressing my concern, unless you are telling me
that an LSP can be instantiated along a path that contains WDM systems
from *different* vendors.  I had been told that, in general, this was
not the case.

Thanks,

John

> Sent: Monday, October 31, 2005 8:00 AM
> > As I said in
technology
> > > > > switch ports in the same TE link that support a given
frequency.
> > > > > In the transparent photonic lambda switch case, the labels
also
> > have
> > > > > only local significance.  When an LSP is established, the
input
> > > > > ports, and an additional CAC requirement that the wavelengths
of
> > > > > > >>>wavelength indexing requires document updating each time
a
> > new
> > > > > > > update any document when new wavelengths are inventoried.
In
> > > > > > > [Sidney] Some new technologies integrate optical switch
and
> > > > > > (during initialization) do not match the nominal values ?
you
> > > don't
> > > > > > initialize then ?
> > > > > >
> > > > > > >>if these differ from the nominal values how are you going
to
> > > > > > there is an equivalence but there is also a major
difference,
> > TDM labels is
difficult
> > > > > > >>>>>most flexible (since allowing each system to maintain
its

---

From: <[email-masked]>
Date: Mon, 31 Oct 2005 17:28:41 -0000

Absolutely right.....'space' is always a consideration for 1 dimension
of the labelling of resource partitions in the co-cs mode....once space
has been labelled then we need to know whether we are dealing with a
'freq' or 'time' label next (there is actually a 3rd possibility wrt
'amplitutde' labelling....code division muxing).  And to be of practical
use, these has to be an implicit assumed binding of known bit rate to
this.

regards, neil

> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Payam Torab
> Sent: 31 October 2005 16:12
> To: 'Drake, John E'; 'Shiba, Sidney'; [email-masked]
> Cc: 'Adrian Farrel'; [email-masked]; [email-masked]
> John-
> Obviously the benefits or harms of giving a global meaning to 
> a lambda label requires study, but your particular example is 
> not a good one: If one really wants to have a preference for 
> a specific wavelength channel among multiple parallel 
> channels of the same wavelength, bundling should not be 
> exercised in the first place.
> 
> Thanks,
> Payam
> 
> Behalf Of Drake, John E
> Sent: Monday, October 31, 2005 10:36 AM
> But there's nothing in your picture that requires an absolute 
> end-end global wavelength.  The existing GMPLS solution with 
> relative wavelengths of local significance should work just 
> fine.  As I said in my previous note, your method precludes 
> combining two or more parallel WDM links into a single TE link.
> 
> Thanks,
> 
> John
> 
> > Note that the figure above shows an example of two optical switches 
> > interconnect by a single WDM fiber. In this example, each optical 
> > switch can be
> connect
> > to 4
> > other optical switches.
> > 
> > As you can see, the optical ports information do not provide enough 
> > information for wavelength switching.
> > 
> > > sense.  Between a pair of adjacent nodes, there may be multiple 
> > > pairs of switch ports in the same TE link that support a given 
> > > frequency.  If
> a
> > > real wavelength value is used, how do the two nodes agree 
> on which 
> > > pair of switch ports to use?
> > >
> > > Furthermore, the amount of configuration is the same - you still 
> > > need to configure the wavelength of each switch port.
> > >
> > > Thanks,
> > >
> > > John 
> > > > >>>The use of spectral label provides self 
> maintainance, i.e., no 
> > > > >>>need to update any document and the use of the nominal value 
> > > > >>=> now i have a more specific question before being 
> light-up how 
> > > > >>do you know the frequency that you can support ?
> > > > >
> difference, the 
> > > > >>>>Thanks for your work reviewing these recent I-Ds. 
> It is really 
> > > > >>>>valuable and I'd welcome other people doing similar reviews.
> > > > >>>>
> > > > >>>>
> > > > >>>>
> > > > >>>>otherwise, we would not know what resource they refered to.
> > > > >>>>
> > > > >>>>So the point reduces to whether the scope of the 
> semantics are 
> > > > >>>>link-local or wider.
> > > > >>>>
> > > > >>>>
> > > > >>>>
> > > > >>>>other words: do we need this function?
> > > > >>>>
> > > > >>>>focusing wavelength constraints because 
> lambda-switching PXCs 
> > > > >>>>didn't take off. Therefore we

---

From: "Shiba, Sidney" <[email-masked]>
Date: Mon, 31 Oct 2005 11:38:10 -0600

John,

When multi-vendor configuration is involved, regenerators (e.g, G.709
OEO conversion) are usually used to interface two systems. In this case,
tunable laser regenerators need to be tuned to the desired wavelength.

Hope that helps to identify the interoperability requirement.

BTW, the draft provides some "requirements" related to Label Set. I'm 
curious to know how this is addressed with local significance labels.

Thanks,

Sidney

> Sent: Monday, October 31, 2005 11:12 AM
> > > > > by a single WDM fiber. In this example, each optical 
> switch can
> be
> > > > connect
> > > > > to 4
> > > > > other optical switches.
> > > > >
> > > > > > There is just extra configuration to identify, 
> using strictly
> > > local
> > > > > > > >>>Wavelength continuity constraint does require 
> the use of
> > > > > > semanticful
> > > > > > > >>=> indeed and in addition it requires updating 
> the already
> > > > > > > >>signaled path
> > > > > > > >>
> > > > > > > >>>no need to update any document and the use of 
> the nominal
> > > value
> light-up
> you going
> > > > > > > > [Sidney] These new technologies uses the 
> nominal value as
> > > > > > reference.
> > > > > > We
> > > > > > > can say
> > > > > > > ok - but if the deviation is such you have 
> overlap - how the
> > > > control
> > > > > > > hence, there is also no real coupling to the data 
> plane more
> > > than
> > > > > > [mailto:[email-masked]]On
> > > > > > > >>>>Behalf Of Adrian Farrel
> > > > > > > >>>>>semanticless vs semanticful label (even here 
> there is a
> > > > > > distinction
> semantics
> > > > > > > >>>>  If I want to signal a path with wavelength 
> constraints
> > > what
> > > > > > > >>>>>control plane operations independent of any 
> data plane
> > > > > > specifics
> > > > > > > >>>>>
> > > > > > > >>>>>
> > > > > > > >>>>
> > > > > > >

---

From: "Drake, John E" <[email-masked]>
Date: Mon, 31 Oct 2005 10:10:14 -0800

Snipped...
[JD] 

From RFC 3471:
"The receiver of a Label Set must restrict its choice of labels to one
which is in the Label Set.  Much like a label, a Label Set may be
present across multiple hops.  In this case each node generates its own
outgoing Label Set, possibly based on the incoming Label Set and the
node's hardware capabilities.  This case is expected to be the norm for
nodes with conversion incapable (CI-incapable) interfaces."

---

From: "Drake, John E" <[email-masked]>
Date: Mon, 31 Oct 2005 10:15:03 -0800

> Sent: Monday, October 31, 2005 9:38 AM
[JD] 

So, you can only have an end-end absolute global label across a set of
WDM systems from a single vendor?  So what exactly is the marginal
utility compared to the existing GMPLS solution?
  
[JD] 

See my other e-mail.
 
> > > > wavelengths is probably insufficient to ensure that an end-end
LSP
> > can
> > > > > > > Below is the text of an e-mail is sent to the
Ethernet/GMPLS
> > > > mailing
on
> > > > > > > which pair
> > > > > > > > > In the case, the nominal value is used, there is no
need
> > for
switch
> > > > > > > > > that a lightpath wavelength is identified by its
nominal
> > > > value.
> > > > > If
> > > > > > > the
> > > > > > > > equipment
> > > > > > > > > is drifting from this nominal value, it is considered
as
> > > > > > > a failure.
> > > > > > > > >>>>>between spectral vs indexes i.e. using the
wavelength
> > > > index)
> > > > > > > > >>>>This is the question I would like to get to the
bottom
> > of.
> > > > > > > > >>>>constraints because lambda-switching PXCs didn't
take
> > off.
> > > > > > > > >>>>>because referenced values are nominal and knowing
all
> > > > > > > interactions
maintain

---

From: "Drake, John E" <[email-masked]>
Date: Mon, 31 Oct 2005 12:44:54 -0800

> From: [email-masked] [mailto:[email-masked]] On
Behalf
> Of Payam Torab
> Sent: Monday, October 31, 2005 12:22 PM
> To: Drake, John E; 'Shiba, Sidney'; [email-masked]
> John- So, with bundling out of the picture, we have closure:
> 
> - If there is no real difference between multiple parallel channels of
the
> same wavelength, we may want to combine these channels into a single
TE
> link for scalability and crankback benefits. In this case, there will
be a
> clash in the lambda label space if the label is going to have a purely
> spectral meaning.
> 
> - If these parallel channels have different properties to the extent
that
> one wants to bind an LSP to a particular channel, then combining (and
> obviously bundling) is not an option anyway.
[JD] 

Correct.  My other point was that wavelength alone probably isn't
sufficient to characterize a WDM line system for purposes of
interoperability.